<?php
/*
 * File name: class-quote-rotator-db.php
 */
if( !class_exists( 'Quote_Rotator_DB' ) ) :
/*
 * Class name: Quote_Rotator_DB
 * Purpose: Class to handle all the database interactions for the plugin
 */
class Quote_Rotator_DB
{
	/*
	 * Function name: install
	 * Purpose: Install the database tables
	 */
	function install()
	{
		global $wpdb;
		
		$sql = '
		CREATE TABLE `' . $wpdb->prefix . QUOTE_ROTATOR_DATABASE_TABLE . '` (
			`id` mediumint(9) NOT NULL AUTO_INCREMENT,
			`quote` text,
			`author` varchar(255) NOT NULL,
			PRIMARY KEY (`id`)
		);
		';
		
		require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
		
		dbDelta($sql);
		
		add_option( 'quote_rotator_database_version', QUOTE_ROTATOR_DATABASE_VERSION );
	}
	
	/*
	 * Function name: upgrade
	 * Purpose: Upgrade database when needed
	 */
	function upgrade()
	{
		global $wpdb;
		
		$installed_version = get_option( 'quote_rotator_database_version' );

		if( $installed_version != QUOTE_ROTATOR_DATABASE_VERSION ) :

		$sql = '
		CREATE TABLE `' . $wpdb->prefix . QUOTE_ROTATOR_DATABASE_TABLE . '` (
			`id` mediumint(9) NOT NULL AUTO_INCREMENT,
			`quote` text,
			`author` varchar(255),
			PRIMARY KEY (`id`)
		);
		';

		require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
		
		dbDelta($sql);

		update_option( 'quote_rotator_database_version', QUOTE_ROTATOR_DATABASE_VERSION );
		
		endif;
	}
}
endif;