<?php
/*
 * File name: class-quote-rotator-shortcodes.php
 */
if( !class_exists( 'Quote_Rotator_Shortcodes' ) ) :
/*
 * Class name: Quote_Rotator_Shortcodes
 * Purpose: Class to handle all the shortcode interactions for the plugin
 */
class Quote_Rotator_Shortcodes
{
	var $id;
	var $title;
	var $number;
	var $displaytime;
	var $fadetime;
	var $random;
	var $height;
	/*
	 * Function name: events_calendar_large
	 * Purpose: Displays the quote rotator based on shortcode.
	 */
	function quote_rotator( $atts )
	{
		global $wpdb;
		
		extract(shortcode_atts(array(
	      'title' => 'Quote Rotator',
	      'number' => 5,
				'howlong' => 5000,
				'fadetime' => 700,
				'random' => 1,
				'height' => 200,
     ), $atts));
		$this->title = $title;
		$this->number = $number;
		$this->displaytime = $howlong;
		$this->fadetime = $fadetime;
		$this->random = $random;
		$this->height = $height;
		$this->id = rand();
		
		$output = '';
		
		if( !empty( $this->title ) )
		{
			$output .= '<div class="quote_rotator_title">' . $this->title . '</div>';
		}
		$output .= '<div class="quote_rotator_wrapper">';
		$output .= '<div id="rotated_quotes_' . $this->id . '" style="position:relative;">';
		if( $this->random )
			$sql = 'SELECT * from ' . $wpdb->prefix . QUOTE_ROTATOR_DATABASE_TABLE . ' ORDER BY RAND() LIMIT 0,' . $this->number;
		else
			$sql = 'SELECT * from ' . $wpdb->prefix . QUOTE_ROTATOR_DATABASE_TABLE . ' LIMIT 0,' . $this->number;
		$quote_rows = $wpdb->get_results( $sql );
		foreach( $quote_rows as $quote_row )
		{
			$output .= '<div class="rotated_quote"><div class="quote">' . stripslashes( $quote_row->quote ) . '</div><div class="author">' . stripslashes( $quote_row->author ) . '</div></div>';
		}
		$output .= '</div>';
		$output .= '</div>';
		$output .= '<script type="text/javascript">';
		$output .= 'jQuery.noConflict();';
		$output .= '(function($)';
		$output .= '{';
			$output .= '$(window).load(function()';
			$output .= '{';
				$output .= '$("#rotated_quotes_' . $this->id . '" ).sideswap({';
					$output .= 'navigation : false,';
					$output .= 'transition_speed : ' . $this->fadetime . ',';
					$output .= 'display_time : ' . $this->displaytime;
				$output .= '});';
			$output .= '});';
		$output .= '})(jQuery);';
		$output .= '</script>';
		$output .= '<style type="text/css">';
			$output .= '#rotated_quotes_' . $this->id;
			$output .= '{	';
				$output .= 'min-height: ' . $this->height . 'px;';
			$output .= '}';
			$output .= '.rotated_quote';
			$output .= '{';
				$output .= 'min-height: ' . $this->height . 'px;';
				$output .= 'position: absolute;';
				$output .= 'top: 0;';
				$output .= 'left: 0;';
			$output .= '}';
		$output .= '</style>';
		return $output;
	}
}
endif;